Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.server
Class Ajp12Interceptor

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.server.PoolTcpConnector
              org.apache.tomcat.modules.server.Ajp12Interceptor

All Implemented Interfaces:
  TcpConnectionHandler

public class Ajp12Interceptor
extends PoolTcpConnector
implements TcpConnectionHandler

Field Summary

Fields inherited from class org.apache.tomcat.modules.server.PoolTcpConnector
`attributes, ep, secure, socketFactory, socketFactoryName, sslImplementation, sslImplementationName`

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`Ajp12Interceptor()`

Method Summary
`void` | `engineInit(ContextManager cm)` Called when the ContextManger is started
`void` | `engineState(ContextManager cm, int state)` Notifies the module that the server changed it's state.
`java.lang.Object[]` | `init()` Called before the call to processConnection.
`boolean` | `isTomcatAuthentication()`
`protected void` | `localInit()`
`void` | `processConnection(TcpConnection connection, java.lang.Object[] thData)` Assert: connection!=null Assert: connection.getSocket() != null Assert: thData != null and is the result of calling init() Assert: thData is preserved per Thread.
`void` | `setAjpidFile(java.lang.String path)` Specify ajpid file used when shutting down tomcat
`void` | `setSecret(java.lang.String s)` Explicitely set the stop secret
`void` | `setServer(java.lang.Object cm)` Add informations about the a "controler" object specific to the server.
`void` | `setTomcatAuthentication(boolean newTomcatAuthentication)`
`void` | `setUseSecret(boolean b)` Enable the use of a stop secret.

Methods inherited from class org.apache.tomcat.modules.server.PoolTcpConnector
`engineShutdown, engineStart, getAddress, getEndpoint, getPort, isAttributeSet, isClientauthSet, isKeypassSet, isKeystoreSet, isSameAddress, isSecure, setAddress, setAttribute, setBacklog, setClientauth, setHostName, setKeypass, setKeystore, setMaxSpareThreads, setMaxThreads, setMinSpareThreads, setPools, setPort, setSecure, setServerSoTimeout, setSocketFactory, setSoLinger, setSoTimeout, setSSLImplementation, setTcpNoDelay`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tomcat.util.net.TcpConnectionHandler
`setAttribute`

Constructor Detail

### Ajp12Interceptor

    public Ajp12Interceptor()

Method Detail

### localInit

    protected void localInit()
                      throws java.lang.Exception

  Specified by:
    `localInit` in class `PoolTcpConnector`
  Throws:
    `java.lang.Exception`

### setUseSecret

    public void setUseSecret(boolean b)

  Enable the use of a stop secret. The secret will be randomly generated.

### setSecret

    public void setSecret(java.lang.String s)

  Explicitely set the stop secret

### setAjpidFile

    public void setAjpidFile(java.lang.String path)

  Specify ajpid file used when shutting down tomcat

### engineInit

    public void engineInit(ContextManager cm)
                    throws TomcatException

  Description copied from class: `PoolTcpConnector`
  Called when the ContextManger is started

  Overrides:
    `engineInit` in class `PoolTcpConnector`
  Throws:
    `TomcatException`

### engineState

    public void engineState(ContextManager cm,
                            int state)
                     throws TomcatException

  Description copied from class: `BaseInterceptor`
  Notifies the module that the server changed it's state. XXX this seems more flexible than init/start/stop/shutdown.

  Overrides:
    `engineState` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### init

    public java.lang.Object[] init()

  Description copied from interface: `TcpConnectionHandler`
  Called before the call to processConnection. If the thread is reused, init() should be called once per thread. It may look strange, but it's a _very_ good way to avoid synchronized methods and keep per thread data. Assert: the object returned from init() will be passed to all processConnection() methods happening in the same thread.

  Specified by:
    `init` in interface `TcpConnectionHandler`

### setServer

    public void setServer(java.lang.Object cm)

  Description copied from interface: `TcpConnectionHandler`
  Add informations about the a "controler" object specific to the server. In tomcat it will be a ContextManager.

  Specified by:
    `setServer` in interface `TcpConnectionHandler`

### processConnection

    public void processConnection(TcpConnection connection,
                                  java.lang.Object[] thData)

  Description copied from interface: `TcpConnectionHandler`
  Assert: connection!=null Assert: connection.getSocket() != null Assert: thData != null and is the result of calling init() Assert: thData is preserved per Thread.

  Specified by:
    `processConnection` in interface `TcpConnectionHandler`

### isTomcatAuthentication

    public boolean isTomcatAuthentication()

### setTomcatAuthentication

    public void setTomcatAuthentication(boolean newTomcatAuthentication)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.